Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class PSVIAttrNSImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.AttrImpl
                  |
                  +--org.apache.xerces.dom.AttrNSImpl
                        |
                        +--org.apache.xerces.dom.PSVIAttrNSImpl

All Implemented Interfaces:
  org.w3c.dom.Attr, org.apache.xerces.xni.psvi.AttributePSVI, java.lang.Cloneable, org.w3c.dom.events.EventTarget, org.apache.xerces.xni.psvi.ItemPSVI, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.apache.xerces.dom3.TypeInfo

public class PSVIAttrNSImpl
extends AttrNSImpl
implements org.apache.xerces.xni.psvi.AttributePSVI

Attribute namespace implementation; stores PSVI attribute items.

Version:
  $Id: PSVIAttrNSImpl.java,v 1.2 2003/01/20 13:55:56 elena Exp $
Author:
  Sandy Gao, IBM
See Also:
  Serialized Form

Field Summary
`protected XSAttributeDeclaration` | `fDeclaration` attribute declaration
`protected StringList` | `fErrorCodes` error codes
`protected XSSimpleTypeDefinition` | `fMemberType` member type definition against which attribute was validated
`protected java.lang.String` | `fNormalizedValue` schema normalized value property
`protected boolean` | `fSpecified` If this attribute was explicitly given a value in the original document, this is true; otherwise, it is false
`protected XSTypeDefinition` | `fTypeDecl` type of attribute, simpleType
`protected short` | `fValidationAttempted` validation attempted: none, partial, full
`protected java.lang.String` | `fValidationContext` validation context: could be QName or XPath expression
`protected short` | `fValidity` validity: valid, invalid, unknown

Fields inherited from class org.apache.xerces.dom.AttrNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.AttrImpl
`name, textNode, value`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.apache.xerces.xni.psvi.ItemPSVI
`VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_NOTKNOWN, VALIDITY_VALID`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`PSVIAttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName)` Construct an attribute node.
`PSVIAttrNSImpl(CoreDocumentImpl ownerDocument, java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String localName)` Construct an attribute node.

Method Summary
`XSAttributeDeclaration` | `getAttributeDeclaration()` An item isomorphic to the attribute declaration used to validate this attribute.
`StringList` | `getErrorCodes()` A list of error codes generated from validation attempts.
`boolean` | `getIsSchemaSpecified()` [schema specified]
`XSSimpleTypeDefinition` | `getMemberTypeDefinition()` If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
`java.lang.String` | `getSchemaDefault()` [schema default]
`java.lang.String` | `getSchemaNormalizedValue()` [schema normalized value]
`XSTypeDefinition` | `getTypeDefinition()` An item isomorphic to the type definition used to validate this element.
`short` | `getValidationAttempted()` Determines the extent to which the document has been validated
`java.lang.String` | `getValidationContext()` [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
`short` | `getValidity()` Determine the validity of the node with respect to the validation being attempted
`void` | `setPSVI(org.apache.xerces.xni.psvi.AttributePSVI attr)` Copy PSVI properties from another psvi item.

Methods inherited from class org.apache.xerces.dom.AttrNSImpl
`getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, setPrefix, setValues`

Methods inherited from class org.apache.xerces.dom.AttrImpl
`cloneNode, getChildNodes, getElement, getFirstChild, getIsId, getLastChild, getLength, getName, getNodeName, getNodeType, getNodeValue, getOwnerElement, getSchemaTypeInfo, getSpecified, getValue, hasChildNodes, insertBefore, isEqualNode, item, makeChildNode, normalize, removeChild, replaceChild, setIdAttribute, setNodeValue, setReadOnly, setSpecified, setType, setValue, synchronizeChildren, toString`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getContainer, getInterface, getNextSibling, getOwnerDocument, getParentNode, getPreviousSibling, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setTextContent, setUserData, setUserData, synchronizeData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, getAttributes, getNextSibling, getOwnerDocument, getParentNode, getPreviousSibling, hasAttributes, isSupported`

Field Detail

### fDeclaration

    protected XSAttributeDeclaration fDeclaration

  attribute declaration

### fTypeDecl

    protected XSTypeDefinition fTypeDecl

  type of attribute, simpleType

### fSpecified

    protected boolean fSpecified

  If this attribute was explicitly given a value in the original document, this is true; otherwise, it is false

### fNormalizedValue

    protected java.lang.String fNormalizedValue

  schema normalized value property

### fMemberType

    protected XSSimpleTypeDefinition fMemberType

  member type definition against which attribute was validated

### fValidationAttempted

    protected short fValidationAttempted

  validation attempted: none, partial, full

### fValidity

    protected short fValidity

  validity: valid, invalid, unknown

### fErrorCodes

    protected StringList fErrorCodes

  error codes

### fValidationContext

    protected java.lang.String fValidationContext

  validation context: could be QName or XPath expression

Constructor Detail

### PSVIAttrNSImpl

    public PSVIAttrNSImpl(CoreDocumentImpl ownerDocument,
                          java.lang.String namespaceURI,
                          java.lang.String qualifiedName,
                          java.lang.String localName)

  Construct an attribute node.

### PSVIAttrNSImpl

    public PSVIAttrNSImpl(CoreDocumentImpl ownerDocument,
                          java.lang.String namespaceURI,
                          java.lang.String qualifiedName)

  Construct an attribute node.

Method Detail

### getSchemaDefault

    public java.lang.String getSchemaDefault()

  [schema default]
  Specified by:
    `getSchemaDefault` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
  Returns:
    The canonical lexical representation of the declaration's {value constraint} value.
  See Also:

    ### getSchemaNormalizedValue

        public java.lang.String getSchemaNormalizedValue()

      [schema normalized value]
      Specified by:
        `getSchemaNormalizedValue` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
      Returns:
        the normalized value of this item after validation
      See Also:

        ### getIsSchemaSpecified

            public boolean getIsSchemaSpecified()

          [schema specified]
          Specified by:
            `getIsSchemaSpecified` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            false value was specified in schema, true value comes from the infoset
          See Also:
            XML Schema Part 1: Structures [schema specified]

        ### getValidationAttempted

            public short getValidationAttempted()

          Determines the extent to which the document has been validated
          Specified by:
            `getValidationAttempted` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            return the [validation attempted] property. The possible values are NO_VALIDATION, PARTIAL_VALIDATION and FULL_VALIDATION

        ### getValidity

            public short getValidity()

          Determine the validity of the node with respect to the validation being attempted
          Specified by:
            `getValidity` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            return the [validity] property. Possible values are: UNKNOWN_VALIDITY, INVALID_VALIDITY, VALID_VALIDITY

        ### getErrorCodes

            public StringList getErrorCodes()

          A list of error codes generated from validation attempts. Need to find all the possible subclause reports that need reporting
          Specified by:
            `getErrorCodes` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            list of error codes

        ### getValidationContext

            public java.lang.String getValidationContext()

          Description copied from interface: `org.apache.xerces.xni.psvi.ItemPSVI`
          [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
          Specified by:
            `getValidationContext` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Following copied from interface: `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            The nearest ancestor element information item with a [schema information] property (or this element item itself if it has such a property)
          See Also:
            XML Schema Part 1: Structures [validation context]

        ### getTypeDefinition

            public XSTypeDefinition getTypeDefinition()

          An item isomorphic to the type definition used to validate this element.
          Specified by:
            `getTypeDefinition` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            a type declaration

        ### getMemberTypeDefinition

            public XSSimpleTypeDefinition getMemberTypeDefinition()

          If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
          Specified by:
            `getMemberTypeDefinition` in interface `org.apache.xerces.xni.psvi.ItemPSVI`
          Returns:
            a simple type declaration

        ### getAttributeDeclaration

            public XSAttributeDeclaration getAttributeDeclaration()

          An item isomorphic to the attribute declaration used to validate this attribute.
          Specified by:
            `getAttributeDeclaration` in interface `org.apache.xerces.xni.psvi.AttributePSVI`
          Returns:
            an attribute declaration

        ### setPSVI

            public void setPSVI(org.apache.xerces.xni.psvi.AttributePSVI attr)

          Copy PSVI properties from another psvi item.
          Parameters:
            `attr` - the source of attribute PSVI items

        Overview | Package | Class | Tree | Deprecated | Index | Help
        PREV CLASS NEXT CLASS | FRAMES NO FRAMES
        SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

        Copyright © 1999-2003 Apache XML Project. All Rights Reserved.